Bug 592809 - anaconda resolution detection incorrect
Summary: anaconda resolution detection incorrect
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: anaconda   
(Show other bugs)
Version: 13
Hardware: i386
OS: Linux
low
medium
Target Milestone: ---
Assignee: Ales Kozumplik
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-05-17 03:46 UTC by Ed Marshall
Modified: 2014-09-30 23:39 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-05-18 07:43:27 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Ed Marshall 2010-05-17 03:46:29 UTC
Description of problem:
I'm installing F13 Beta on some admittedly very old hardware (an old HP NetServer LPr) with a similarly very old monitor. At startup, anaconda sets the X resolution to 640x480 (good), but then proceeds to select main window sizes based on what appears to be an 800x600 resolution (bad :)).

The interface can still be navigated by keyboard or lucky mouse clicks (and installation can actually be completed), but some of the buttons and scrollbars are obviously pushed off the screen. Any windows that pop up are centered correctly within the 640x480 resolution; it's merely the main anaconda root that seems to mis-identify.

Specifying "resolution=640x480" or "lowres" on the kernel command line behaves identically, as does using the vesa boot choice (which is what I believe it's defaulting to anyway).

Text-mode works just fine.

Version-Release number of selected component (if applicable):
As-shipped on the F13 Beta i386 netinst CD.    

How reproducible:
Every time.

Additional info:
Video card is a Cirrus Logic GD 5446 (rev 45), PCI ID 1013:00b8.

Comment 1 Ales Kozumplik 2010-05-18 07:43:27 UTC
Hi Edward,

The anaconda main window always is 800x600, and we do not support lower resolutions.

What you can do in your case is:
a) use vnc install mode: it is the same as a graphical install but instead of running the GUI on the target machine it starts a vnc server to which you can connect from a remote machine (with high enough resolution). this can be done with the "vnc" kernel command line parameter.
b) use text mode with the "text" command line parameter.

Also see: http://fedoraproject.org/wiki/Anaconda/Options

Ales

Comment 2 Ed Marshall 2010-05-18 12:53:44 UTC
The documentation should probably be updated to reflect the minimum resolution of 800x600 then:

http://docs.fedoraproject.org/install-guide/f13/en-US/html/ap-admin-options.html#sn-boot-options-interface

The "lowres" boot option automatically selects 640x480, and it's vesa's fallback resolution from what I can tell. Perhaps there's some technical challenges that need to be addressed here as well?

Comment 3 Ales Kozumplik 2010-05-18 15:49:55 UTC
Opened a documentation bug: 593362.


Note You need to log in before you can comment on or make changes to this bug.